最新发布

ecshop错误提示:Strict standards: Declaration of ucenter::add_user() should be compatible with integrate::add_user($username, $password, $email, $gender = -1, $bday = 0, $reg_date = 0, $md5password = '')

2016-03-15 21:31:51 1248浏览 ecshop安装使用

后台管理的会员整合页面,出现这样的错误提示:Strict standards: Declaration of ucenter::add_user() should be compatible with integrate::add_user($username, $password, $email, $gender = -1, $bday = 0, $reg_date = 0, $md5password = '')具体错误提示如下:( ! ) Strict standards: Declaration of ucenter::add_user() should be compatible with integrate::add_user($userna...

ecshop错误提示:Strict standards: Declaration of ucenter::login() should be compatible with integrate::login($username, $password, $remember = NULL)

2016-03-14 21:31:47 1387浏览 ecshop安装使用

后台管理的会员整合页面,出现这样的错误提示:Strict standards: Declaration of ucenter::login() should be compatible with integrate::login($username, $password, $remember = NULL)具体错误提示如下:( ! ) Strict standards: Declaration of ucenter::login() should be compatible with integrate::login($username, $password, $remember = NULL) in C:\develop\wamp\www\ecshopdev\inc...

ecshop错误提示:Strict standards: Declaration of phpbb::set_cookie() should be compatible with integrate::set_cookie($username = '', $remember = NULL)

2016-03-13 21:30:51 1366浏览 ecshop安装使用

在后台管理的会员整合页面,出现这样的错误提示:Strict standards: Declaration of phpbb::set_cookie() should be compatible with integrate::set_cookie($username = '', $remember = NULL)更具体的提示如下所示:( ! ) Strict standards: Declaration of phpbb::set_cookie() should be compatible with integrate::set_cookie($username = '', $remember = NULL) in C:\d...

ecshop错误提示:Deprecated: Assigning the return value of new by reference is deprecated

2016-03-12 21:30:50 1054浏览 ecshop安装使用

ecshop后台操作,商品批量双传页面出现Deprecated: Assigning the return value of new by reference is deprecated的错误,具体错误提示如下:Deprecated: Assigning the return value of new by reference is deprecated in C:\develop\wamp\www\ecshopdev\admin\goods_batch.php on line 921首先,如果按照官方的ecshop安装运行环境要求是肯定不会报错的,我用的php...

ecshop错误提示:Deprecated: Assigning the return value of new by reference is deprecated

2016-03-12 22:07:50 879浏览 ecshop安装使用

ecshop后台操作,商品批量双传页面出现Deprecated: Assigning the return value of new by reference is deprecated的错误,具体错误提示如下:Deprecated: Assigning the return value of new by reference is deprecated in C:\develop\wamp\www\ecshopdev\admin\goods_batch.php on line 921首先,如果按照官方的ecshop安装运行环境要求是肯定不会报错的,我用的php...

ecshop错误提示:Strict standards: Only variables should be passed by reference

2016-03-11 22:28:50 1240浏览 ecshop安装使用

具体错误提示如下:Strict standards: Only variables should be passed by reference in C:\develop\wamp\www\ecshopdev\includes\cls_template.php on line 430ecshop产生错误的原因:PHP5.3以上的php默认只能传递具体的变量,而不能通过函数返回值传递变量,所以这段代码中的explode就得移出来重新赋值。知道错误产生的原因,那么问题就好...

ecshop错误提示:Deprecated: preg_replace(): The /e modifier is deprecated

2016-03-10 20:01:57 1572浏览 ecshop安装使用

具体错误提示如下:Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in C:\develop\wamp\www\ecshopdev\includes\cls_template.php on line 300产生错误的原因:首先并不是所有的ecshop环境都会报此错误,只有php5.5.x才会报这样的错误,从提示中也不难发现,用preg_replace_callback 来代替 preg_replace 就可以...

ecshop安装出错提示:无法创建目录,无法创建目录

2016-03-09 22:01:45 1140浏览 ecshop安装使用

今天再给客户安装ecshop,安装到第三步的时候,提示:无法创建目录,无法创建目录。更具体的错误提示如下所示:安装进程已中止创建配置文件............成功创建数据库............成功安装数据............成功创建管理员帐号............成功处理其它............失败Warning: mkdir(): No such file or directory in C:\develop\wa...

ecshop错误提示:Strict standards: Redefining already defined constructor for class captcha

2016-03-08 22:01:43 2312浏览 ecshop安装使用

今天在登录ecshop的时候,验证码输入错误,出现了Strict standards: Redefining already defined constructor for class captcha的错误提示,更具体的出错信息如下:( ! ) Strict standards: Redefining already defined constructor for class captcha in C:\develop\wamp\www\ecshop\includes\cls_captcha.php on line 119那么如何解决Strict standards: Redefining already defined...

ecshop错误提示:Strict standards: Non-static method cls_image::gd_version() should not be called statically

2016-03-07 22:01:19 1860浏览 ecshop安装使用

在ecshop安装运行环境要求这篇文章中,我们知道ecshop的php运行环境是5.0以上5.3以下,ecshop官方推荐的是5.2系列版本,但是在实际开发过程中,不太可能会有php5.2的环境,因此安装和使用过程中难免会出错,以下是出现Non-static method cls_image::gd_version() should not be called statically错误提示的所有情况。1、ecshop...